Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Sep 2021 14:57:14 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 09 Sep 2021 19:34:49 +0800
> 
> Nevermind, I was able to get the debugger to work, though not very
> reliably.
> 
> It appears to fail at line 5428 of pdumper.c, where dump_mmap_contiguous
> returns false.  Unfortunately, the GDB session is extremely unreliable;
> I was only able to get this information after Windows crashed a dozen or
> so times.

That's what I guessed might be the problem.

Can you put a breakpoint in dump_map_file_w32 and verify that it is
called?  If it is indeed called, can you step through it and see if it
fails, and if so, how?

Thanks.